Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyVertex Class Reference

`#include <vtkPolyVertex.h>`

Inheritance diagram for vtkPolyVertex:

[legend]
Collaboration diagram for vtkPolyVertex:

[legend]
List of all members.

## Detailed Description

cell represents a set of 0D vertices

Date:
  2002/12/26 18:24:21

Revision:
  1.60

vtkPolyVertex is a concrete implementation of vtkCell to represent a set of 3D vertices.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (63%)
  - Geveci, Berk (8%)
  - Martin, Ken (6%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkPolyVertex.h)`
  - .`cxx` (`/Common/vtkPolyVertex.cxx)`

Examples:
  vtkPolyVertex (Examples)

Tests:
  vtkPolyVertex (Tests)

Definition at line 52 of file vtkPolyVertex.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | GetParametricCenter (float pcoords[3])
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int vtkNotUsed(edgeId))
vtkCell * | GetFace (int vtkNotUsed(faceId))
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
## Static Public Methods
vtkPolyVertex * | New ()
int | IsTypeOf (const char *type)
vtkPolyVertex * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyVertex ()
| ~vtkPolyVertex ()
## Protected Attributes
vtkVertex * | Vertex

## Member Typedef Documentation

typedef vtkCell vtkPolyVertex::Superclass

| Reimplemented from vtkCell. Definition at line 56 of file vtkPolyVertex.h.

## Constructor & Destructor Documentation

vtkPolyVertex::vtkPolyVertex | ( |  | ) | `[protected]`

vtkPolyVertex::~vtkPolyVertex | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPolyVertex* vtkPolyVertex::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPolyVertex::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell.

int vtkPolyVertex::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

virtual int vtkPolyVertex::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

vtkPolyVertex* vtkPolyVertex::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell.

int vtkPolyVertex::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 60 of file vtkPolyVertex.h. References VTK_POLY_VERTEX.

int vtkPolyVertex::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 61 of file vtkPolyVertex.h.

int vtkPolyVertex::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 62 of file vtkPolyVertex.h.

int vtkPolyVertex::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 63 of file vtkPolyVertex.h.

vtkCell* vtkPolyVertex::GetEdge | ( | int | vtkNotUsed(edgeId) | ) | `[inline]`

| See the vtkCell API for descriptions of these methods. Definition at line 64 of file vtkPolyVertex.h.

vtkCell* vtkPolyVertex::GetFace | ( | int | vtkNotUsed(faceId) | ) | `[inline]`

| See the vtkCell API for descriptions of these methods. Definition at line 65 of file vtkPolyVertex.h.

int vtkPolyVertex::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyVertex::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyVertex::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyVertex::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyVertex::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyVertex::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyVertex::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyVertex::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyVertex::GetParametricCenter | ( | float | pcoords[3] | ) | `[virtual]`

| Return the center of the point cloud in parametric coordinates. Reimplemented from vtkCell.

## Member Data Documentation

vtkVertex* vtkPolyVertex::Vertex`[protected]`

| Definition at line 97 of file vtkPolyVertex.h.

The documentation for this class was generated from the following file:

- Common/vtkPolyVertex.h